@charset "UTF-8";
/*----------------共用----------------*/
:root{
	--main-color-white:#ffffff;
	--main-color-black:#000000;
	--main-color-blue:#109DCD;
	--main-color-yellow:#F0EA30;
	--main-color-orange:#EE7800;
    --main-color-green:#8CC280;
	--main-color-gray:#CCCCCC;	
    --main-color-gray2:#707070;	
}


.result-photo-m{
    display: none;
}

/*--------------璀璨成果 #page-results-----------------------------*/

/* 背景 */
#page-results .content::after{
    content: '';
    position: absolute;
    z-index: -1;
    right: 40px;
    bottom: 75px;
    width: 980px;
    height: 535px;
    background-image: url(../Images/results/bg-results.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none; /* 防止圖片擋住卡片的點擊動作 */
}


/* 網格配置 */
#page-results .result-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 一排三個 */
    gap: 40px;
}

#page-results .result-card {
    display: block;
    position: relative;
    cursor: pointer;
    transition: transform 0.3s ease;
}

#page-results .result-card:hover {
    transform: translateY(-10px);
}

/* 圖片區 */
#page-results .card-img {
    position: relative;
    width: 100%;
    aspect-ratio: 4 / 5; /* 控制卡片比例 */
}

#page-results .card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 波浪遮罩區 */
#page-results .card-overlay {
    position: absolute;
    bottom: -3px;
    left: 0;
    width: 100.1%;
    height: 48%;
    padding: 80px 20px 0 20px;
    color: var(--main-color-black);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    box-sizing: border-box;
}

/* 不同顏色的波浪 */
#page-results .card-overlay.green { 
    background-image: url('../Images/results/deco-results-wave-green.png');
}
#page-results .card-overlay.yellow { 
    background-image: url('../Images/results/deco-results-wave-yellow.png');
}
#page-results .card-overlay.orange { 
    background-image: url('../Images/results/deco-results-wave-orange.png');
}
#page-results .card-overlay.blue { 
    background-image: url('../Images/results/deco-results-wave-blue.png');
}


/* 文字內容 */
#page-results .overlay-content{
    z-index: 10;
}
#page-results .overlay-content h3.page-title {
    margin-bottom: 30px;
    font-weight: 800;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 1.2;
    height: 2.4em; /* 1.2 * 2行 = 2.4em。強制標題區塊永遠保持兩行的高度 */
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 8px;
    font-size: 24px;
}

#page-results .overlay-content .location-tag {
    display: inline-block;
    font-size: 1.063rem;/*17px*/
    padding: 0 8px;
    border: 1px solid var(--main-color-black);
    border-radius: 8px;
    margin-bottom: 8px;
}

#page-results .overlay-content .location-tag .icon-location{
    background-color: var(--main-color-black);
    margin-right: 5px;
    width: 11px;
    height: 15px;

}



#page-results .overlay-content .desc {
    line-height: 1.5;
    font-weight: 700;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* 裝飾元件 */
#page-results .deco-flower {
    position: absolute;
    z-index: 9;
    right: 15%;
    top: 30%;
    width: 96px;
    height: 92px;
}

#page-results .result-grid .deco-star {
    position: absolute;
    z-index: 9;
    left: 35%;
    top: 0;
    width: 30px;
    height: 31px;
    background: var(--main-color-white);
    transform: rotate(28deg);
}




/*----------------璀璨成果-詳細頁 #page-results-detail----------------*/
/* 背景 */
#page-results-detail main::before{
    content: '';
    position: absolute;
    z-index: -1;
    left: 30px;
    top: 20%;
    width: 193px;
    height: 123px;
    background-image: url(../Images/results-detail/bg-results-detail-1.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none; /* 防止圖片擋住卡片的點擊動作 */
}
#page-results-detail main::after{
    content: '';
    position: absolute;
    z-index: -1;
    right: 30px;
    top: 40%;
    width: 146px;
    height: 117px;
    background-image: url(../Images/results-detail/bg-results-detail-2.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none; /* 防止圖片擋住卡片的點擊動作 */
}


#page-results-detail .wrapper {
    position: relative;
    max-width: 1080px;   
}


#page-results-detail section{
    font-size: 1.25rem;/*20px*/
    margin-bottom: 60px;
}

#page-results-detail p a{
    color: var(--main-color-blue);
    word-break: break-all;/* 強制在任何字元處換行 */
}
#page-results-detail p a:hover{
    color: var(--main-color-orange);
}

#page-results-detail .page-title {
    color: var(--main-color-blue);
    font-size: 1.5rem;
    font-weight: 700;
    letter-spacing: 3px;
    margin-bottom: 15px;
}




/* 頂部標題+地區+Slogan */
#page-results-detail .result-top {
    border: 1px solid var(--main-color-gray2);
    border-radius: 63px;
    padding: 30px 85px;
    text-align: center;
    margin: 40px auto 50px auto;
}

#page-results-detail h2 {
    font-size: 40px;
    font-weight: 800;
    letter-spacing: 3px;
}

#page-results-detail .location-tag.green{
    color: var(--main-color-green);
}
#page-results-detail .location-tag.yellow{
    color: var(--main-color-gray2);
}
#page-results-detail .location-tag.orange{
    color: var(--main-color-orange);
}
#page-results-detail .location-tag.blue{
    color: var(--main-color-blue);
}

#page-results-detail .location-tag .icon-location{
    width: 12px;
    height: 16px;
    margin-right: 5px;
}

#page-results-detail .location-tag.green .icon-location{
    background-color: var(--main-color-green);
}
#page-results-detail .location-tag.yellow .icon-location{
    background-color: var(--main-color-yellow);
}
#page-results-detail .location-tag.orange .icon-location{
    background-color: var(--main-color-orange);
}
#page-results-detail .location-tag.blue .icon-location{
    background-color: var(--main-color-blue);
}

#page-results-detail .main-slogan {
    font-size: 1.375rem;/*22px*/
    margin-top: 10px;
}





/* 圖文併排 */

#page-results-detail .bg-sky {
    background-color: #e9f5fa;
    padding: 30px;
    border-radius: 3px;
    margin: 20px auto 40px auto;    
}

#page-results-detail .flex-content {
    display: flex;
    gap: 40px;
    align-items: center; 
    margin-bottom: 20px;
}

/* 圖片區域比例 */
#page-results-detail .img-area { flex: 1; }
#page-results-detail .text-area { flex: 1.4; }


#page-results-detail .img-area img {
    width: 100%;
    border-radius: 3px;
    display: block;
}

/* 下半部全寬區域 */
#page-results-detail .bottom-area {
    width: 100%;
}

/* 高亮藍色標題 */
#page-results-detail h4 {
    color: var(--main-color-blue);
    margin-bottom: 5px;
    font-weight: 700;
}

#page-results-detail .point-item {
    margin-bottom: 15px;
}


/*底部雙按鈕*/
/* #page-results-detail .page-actions{
    margin-top: 70px;
} */



/*螢幕尺寸【小於】1441時頁面顯示---桌電*/
@media (max-width: 1440px) {

    /*--------------璀璨成果 #page-results-----------------------------*/

    /* 網格配置 */
    #page-results .result-grid {
        gap: 25px;
    }


    /* 波浪遮罩區 */
    #page-results .card-overlay {
        height: 52%;
    } 



    /* 裝飾元件 */
    #page-results .deco-flower {
        right: 20%;
        top: 36%;
        width: 60px;
        height: 58px;
    }
    #page-results .result-grid .deco-star {
        top: 4px;
        width: 20px;
        height: 21px;
    }



    /*----------------璀璨成果-詳細頁 #page-results-detail----------------*/
    /* 背景 */
    #page-results-detail main::before{
        left: -70px;
        top: 20%;
        background-size: 80%;
    }
    #page-results-detail main::after{
        right: -40px;
        top: 40%;
        background-size: 80%;
    }


}





/*螢幕尺寸【小於】1367時頁面顯示---桌電*/
@media (max-width: 1366px) {
    /*--------------璀璨成果 #page-results-----------------------------*/
    /* 波浪遮罩區 */
    #page-results .card-overlay {
        height: 55%;
    } 


    /* 文字內容 */
    #page-results .overlay-content h3.page-title {
        font-size: 20px;
    }    

    #page-results .overlay-content .location-tag {
        font-size: 14px;
    }
    #page-results .overlay-content .desc {
        font-size: 15px;
    }

}




/*螢幕尺寸【小於】1201時頁面顯示---桌電*/
@media (max-width: 1200px) {

    /*--------------璀璨成果 #page-results-----------------------------*/
    #page-results .result-grid { 
        grid-template-columns: repeat(2, 1fr); 
    }


    #page-results .card-overlay {
        height: 45%;
    }

}


/*螢幕尺寸【小於】1025時頁面顯示---桌電*/
@media (max-width: 1024px) {

    /*----------------共用----------------*/
    .result-photo{
        display: none;
    }
    .result-photo-m{
        display: block;
    }


    /*--------------璀璨成果 #page-results-----------------------------*/
    /* 背景 */
    #page-results .content::after{
        right: 0;
        bottom: 30PX;
        width: 500PX;
        height: 273PX;
    }

    #page-results .card-overlay {
        height: 58%;
    }


    /*----------------璀璨成果-詳細頁 #page-results-detail----------------*/

    #page-results-detail section {
        margin-bottom: 40px;
    }

    /* 頂部標題+地區+Slogan */
    #page-results-detail .result-top {
        border-radius: 50px;
        padding: 30px 40px;
        margin: 30px auto 40px auto;
    }


    /* 圖文併排 */
    #page-results-detail .flex-content {
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    #page-results-detail .flex-content.flex-margin-bottom-0 {
        margin-bottom: 0;
    }
    #page-results-detail .flex-margin-bottom-m-40{
        margin-bottom: 40px;
    }        

    /*直式照片*/
    #page-results-detail .img-area img.photo-straight{
        width: 60%;
        margin: 0 auto;
    }


}


/*螢幕尺寸【小於】769時頁面顯示---平板*/
@media (max-width: 768px) {

    #page-results .content .wrapper {
        max-width: 400px;
        width: 90%;
    }

    /*--------------璀璨成果 #page-results-----------------------------*/    
    #page-results .result-grid { 
        grid-template-columns: 1fr; 
    }

    #page-results .card-overlay {
        height: auto;
        min-height: 48%;
        justify-content: flex-start;
    }


    /* 裝飾元件 */
    #page-results .deco-flower {
        right: 18%;
        width: 50px;
        height: 48px;
    }
    #page-results .result-grid .deco-star {
        top: 4px;
        width: 20px;
        height: 21px;
    }




/*----------------璀璨成果-詳細頁 #page-results-detail----------------*/

    /* 頂部標題+地區+Slogan */
    #page-results-detail .result-top {
        border-radius: 30px;
        padding: 20px;
    }
    #page-results-detail h2 {
        font-size: 36px;
    }

    /* 圖文併排 */
    #page-results-detail .bg-sky {
        padding: 20px;
    }


    /*直式照片*/
    #page-results-detail .img-area img.photo-straight{
        width: 100%;
    }



}



/*螢幕尺寸【小於】601時頁面顯示---平板*/
@media (max-width: 600px) {

/*--------------璀璨成果 #page-results-----------------------------*/

    /* 裝飾元件 */
    #page-results .deco-flower {
        width: 70px;
        height: 67px;
    }
    #page-results .result-grid .deco-star {
        top: -2px;
        width: 30px;
        height: 31px;
    }

}




/*螢幕尺寸【小於】481時頁面顯示---手機*/
@media (max-width: 480px) {

/*--------------璀璨成果 #page-results-----------------------------*/
    #page-results .content .wrapper {
        width: 90%;
    }    
   
/*----------------璀璨成果-詳細頁 #page-results-detail----------------*/
    
    /* 頂部標題+地區+Slogan */
    #page-results-detail h2 {
        font-size: 28px;
    }    

}




/*螢幕尺寸【小於】481時頁面顯示---手機*/
@media (max-width: 480px) {

    /*--------------璀璨成果 #page-results-----------------------------*/    

    #page-results .card-overlay {
        min-height: 52%;
    }

}







/*螢幕尺寸【小於】351時頁面顯示---手機*/
@media (max-width: 350px) {

/*--------------璀璨成果 #page-results-----------------------------*/
    /* 文字內容 */
    #page-results .overlay-content h3.page-title {
        margin-bottom: 10px;
    }

    /* 裝飾元件 */
    #page-results .deco-flower {
        right: 18%;
        width: 50px;
        height: 48px;
    }
    #page-results .result-grid .deco-star {
        top: 4px;
        width: 20px;
        height: 21px;
    }


}